{% extends "lab_10/layout/base.html" %}

{% block header %}
<div class="navbar navbar-default navbar-static-top" role="navigation">
    <div class="container">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a target="_blank" href="{% url 'lab-10:index' %}" class="navbar-brand">Cansky</a>
        </div>
        <div class="collapse navbar-collapse">
          {% if login %}
          <ul class="nav navbar-nav">
              <li><a href="{% url 'lab-10:dashboard' %}">Dashboard</a></li>
           </ul>
           {% endif %}
            <ul class="nav navbar-nav navbar-right">
              {% if login %}
                <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                        <span class="glyphicon glyphicon-user"></span> 
                        <strong>{{author}}</strong>
                        <span class="glyphicon glyphicon-chevron-down"></span>
                    </a>
                    <ul class="dropdown-menu">
                        <li>
                            <div class="navbar-login">
                                <div class="row">
                                    <div class="col-lg-4">
                                        <p class="text-center">
                                            <span class="glyphicon glyphicon-user icon-size"></span>
                                        </p>
                                    </div>
                                    <div class="col-lg-8">
                                        <p class="text-left"><strong>{{author}}</strong></p>
                                        <p class="text-left small">{{kode_identitas}}</p>
                                    </div>
                                </div>
                            </div>
                        </li>
                        <li class="divider"></li>
                        <li>
                            <div class="navbar-login navbar-login-session">
                                <div class="row">
                                    <div class="col-lg-12">
                                        <p>
                                            <a href="{% url 'lab-9:auth_logout' %}" class="btn btn-danger btn-block" onclick="return confirm('Keluar?')">
                                                Logout </a>
                                        </p>
                                    </div>
                                </div>
                            </div>
                        </li>
                    </ul>
                </li>
                {% else %}
                    <li><a href="{% url 'lab-10:index' %}"><span class="glyphicon glyphicon-user"></span> Login</a></li>
                {% endif %}
            </ul>
        </div>
    </div>
</div>
{% endblock%}

{% block content %}
<div class="movie-title">
  <div id="title">
    <h1>{{ movie.title}} ({{ movie.year}})</h1>
  </div>
  <div class="rating">
    <p id="ratings"> <img src="https://png.icons8.com/star-filled/ios7/50/f1c40f" id="star"> {{ movie.ratings.0.Value.0}}{{ movie.ratings.0.Value.1}}{{ movie.ratings.0.Value.2}}<small id="per-ten">{{ movie.ratings.0.Value.3}}{{ movie.ratings.0.Value.4}}{{ movie.ratings.0.Value.5}}</small></p>
    <h5> {{movie.imdbvotes}} </h5>
  </div>
  <div class="sub-text">
      {{ movie.rated}} | {{movie.runtime}} | {{movie.genre}} | {{movie.released}}({{movie.country}})
  </div>
</div>

<div class="movie-description">
  <div class="poster">
    <img src="{{movie.poster}}"/>
  </div>
  <div class="description">
    <p>{{movie.plot}}</p>
    <p>Directors : {{movie.director}}</p>
    <p>Writers : {{movie.writer|truncatewords:13}}</p>
    <div class="movie-score">
      <div class="meta-box">{{movie.metascore}}</div> &nbsp; {{movie.ratings.1.Source}}
    </div>
    <div class="box">
        {% if added %}
        <button class="btn btn-success"> Added to Watch Later </button>
        {% else %}
        <a href="{% url 'lab-10:add_watch_later' id %}" class="btn btn-warning"> Add to Watch Later </a>
        {% endif%}
    </div>
  </div>
</div>

{% endblock %}
